## libgadu 1.8.0+r592

=== test/connect/Makefile ===
CC = gcc
CFLAGS = -Wall -I../../include -ggdb
LIBS = ../../src/.libs/libgadu.a

all:	connect

connect:	connect.o $(LIBS)
	$(CC) -o $@ $< $(LIBS)

poke:
	./connect

clean:
	rm -f *.o connect *~ core *.log

## libgadu 1.11.0

=== debian/changelog ===
libgadu (1:1.11.0-2) unstable; urgency=low

  * Cherry-picked a fix for the pkgconfig file, to not require linking to
  * gnutls. Closes: #632584

 -- Marcin Owsiany <porridge@debian.org>  Wed, 06 Jul 2011 21:02:45 +0100

libgadu (1:1.11.0-1) unstable; urgency=low

  * New upstream release. Closes: #630655
    - Picked changes from 1.10 branch packages.
    - Added a build-dep on zlib1g-dev and pkg-config.
    - Bumped the API version in symlink targets.
  * Moved the git-buildpackage config file to debian/.
  * Modernized and cleaned up the build process: Migrated to dh v7, source
    version 3 and buildtime generation of autotools files with dh-autoreconf.
    - changed from dh_movefiles to implicit dh_install
    - install changelog in all binary packages instead of symlinking it. It's
      simpler and the file is tiny.
    - install NEWS and README in the -doc package instead of symlinking them,
      to prevent broken symlinks in case of standalone installation
  * Added vcs-* headers.
  * Temporarily disabled build-time tests. They sometimes break and hang
    indefinitely. See the "neverending test" thread on libgadu-devel.
  * Corrected flag in example make invocation.
  * Added new symbols.
  * Added a cleanup test/automatic/script/script.c in clean target.
  * Bumped Standards-Version to 3.9.2, no changes needed.

 -- Marcin Owsiany <porridge@debian.org>  Sun, 19 Jun 2011 10:28:45 +0100

libgadu (1:1.10.1-1) unstable; urgency=medium

  * New upstream release
    - includes a fix for an image transfer problem

 -- Marcin Owsiany <porridge@debian.org>  Tue, 15 Mar 2011 08:38:25 +0000

libgadu (1:1.10.0+r1059-1) unstable; urgency=medium

  * Merged upstream fix for broken proxy connections.

 -- Marcin Owsiany <porridge@debian.org>  Sat, 05 Mar 2011 20:57:38 +0000

libgadu (1:1.10.0+r1057-1) unstable; urgency=low

  * New upstream release
    - includes working TLS support again
  * Merged some additional changes (SVN r1057) destined for 1.10.1
  * Explicitly build against gnutls.
  * Disabled silent make rules.
  * Bumped the API version in symlink targets.
  * Bumped copyright year.
  * Added new symbols to debian/libgadu3.symbols.

 -- Marcin Owsiany <porridge@debian.org>  Sat, 26 Feb 2011 14:40:59 +0000

libgadu (1:1.9.0-2) unstable; urgency=high

  * RC bugfix release targeted at squeeze and sid
  * Cherry-picked a fix for memory corruption in dcc7 session removal,
    Closes: #605551

 -- Marcin Owsiany <porridge@debian.org>  Tue, 30 Nov 2010 19:23:50 -0800

libgadu (1:1.9.0-1) unstable; urgency=low

  * New upstream release: 1.9.0
    - also contains fixes for a memory leak and invalid memory access from the
      1.9 branch
  * Bumped Standards-Version to 3.9.1:
    - Do not pass add -D_REENTRANT to CFLAGS, it is obsolete.
  * Added a command to delete docs/html/installdox, working around Bug#591387

 -- Marcin Owsiany <porridge@debian.org>  Mon, 02 Aug 2010 17:15:15 +0000

libgadu (1:1.9.0~rc2-1) unstable; urgency=low

  * New upstream release candidate: RC2

 -- Marcin Owsiany <porridge@debian.org>  Thu, 19 Nov 2009 21:50:08 +0000

libgadu (1:1.9.0~rc1+r874-1) unstable; urgency=medium

  * New upstream SVN snapshot: r874
  * Urgency medium kept since previous upload has not made it to testing yet

 -- Marcin Owsiany <porridge@debian.org>  Tue, 20 Oct 2009 12:03:05 +0100

libgadu (1:1.9.0~rc1+r868-1) unstable; urgency=medium

  * New upstream SVN snapshot: r868
  * Urgency medium, as the previous version contained some API changes which
    are now gone, so the sooner we hide them from people, the better.

 -- Marcin Owsiany <porridge@debian.org>  Sun, 18 Oct 2009 22:08:02 +0100

libgadu (1:1.9.0~rc1+r844-1) unstable; urgency=low

  * New upstream SVN snapshot: r844
  * Moved HTML documentation and examples to a newly created
    arch-independent "libgadu-doc" package
  * Disabled compression of the JavaScript file referenced by the HTML
    documentation.
  * Mentioned the -DASYNC flag in examples' README file

 -- Marcin Owsiany <porridge@debian.org>  Tue, 06 Oct 2009 10:39:03 +0100

libgadu (1:1.9.0~rc1+r837-1) experimental; urgency=low

  * New upstream release candidate, until SVN rev 837
  * Noted in debian/copyright the license of MD5 code.
  * Bumped API version to 10 in library file name
  * Do not run make in docs/ - now integrated in automake's makefiles
  * Bumped versioned dependency on debhelper to match debian/compat
  * Added a Homepage field to debian/control
  * Support standardized DEB_BUILD_OPTIONS, changed some makefile indentation
  * Moved the -dbg package to the new debug section (from libdevel).
  * Bumped Standards-Version to 3.8.3
  * Added the new gg_(session|http|global)_(set|get)_resolver* symbols to
    debian/libgadu3.symbols
  * Replaced the now useless when standalone Makefile for example programs
    with a tiny README file explaining how to build the programs.

 -- Marcin Owsiany <porridge@debian.org>  Sat, 03 Oct 2009 18:34:15 +0100

libgadu (1:1.8.0+r592-3) unstable; urgency=high

  * Security upload for lenny and sid
  * Patched a medium severity security issue in src/events.c:
    - CVE-2008-4776 A size check error in status packet parsing routine which
      could lead to accessing uninitialized memory resulting in a crash.

 -- Marcin Owsiany <porridge@debian.org>  Wed, 29 Oct 2008 11:11:56 +0000

libgadu (1:1.8.0+r592-2) unstable; urgency=medium

  * Patched libgadu.c to fix a file sending corruption
  * Added ChangeLog and NEWS files from upstream, which contain some useful
    URLs

 -- Marcin Owsiany <porridge@debian.org>  Fri, 25 Jul 2008 20:14:16 -0700

libgadu (1:1.8.0+r592-1) unstable; urgency=low

  * First release of libgadu as a separate source package. Most of the
    packaging taken from the ekg package.

 -- Marcin Owsiany <porridge@debian.org>  Tue,  8 Apr 2008 14:47:44 +0100

=== debian/rules ===
#!/usr/bin/make -f
# libgadu package rules file
# Copyright 2002-2011 Marcin Owsiany <porridge@debian.org>

# As recommended by "current Debian best practice" prescribed by autotools-dev, we:

# * set configure flags appropriately to help cross-compiling:
# These are set automatically by dpkg-buildpackage, but we cannot depend on
# them being available, because caller might not be using dpkg-buildpackage
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE)
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

# * specify an explicit automake version
export AUTOMAKE=automake-1.11

%:
	dh $@ --with autoreconf --parallel

# Remember to update README.Debian as well...
override_dh_auto_configure:
	dh_auto_configure -- \
		$(confflags) \
		--disable-silent-rules \
		--prefix=/usr \
		--sysconfdir=/etc \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--with-pthread \
		--without-bind \
		--without-openssl \
		--with-gnutls
# Reasons for disabling features are in README.Debian
# Remember to update README.Debian as well...

override_dh_auto_build:
	dh_auto_build
	# work-around #591387
	rm -f docs/html/installdox

override_dh_auto_test:
	: tests disabled temporarily, as they can hang the build

ifneq (,$(findstring libgadu-doc, $(shell dh_listpackages)))
override_dh_installdocs:
	dh_installdocs
	# nicer name for api docs directory
	mv debian/libgadu-doc/usr/share/doc/libgadu-doc/html \
	   debian/libgadu-doc/usr/share/doc/libgadu-doc/api
endif


override_dh_compress:
	dh_compress -X.js

override_dh_strip:
	dh_strip --dbg-package=libgadu3-dbg

override_dh_makeshlibs:
	dh_makeshlibs -V

## libgadu 1.11.0+r1184

=== debian/changelog ===
libgadu (1:1.11.0+r1184-2) unstable; urgency=low

  * Refactor override_dh_installdocs to work on arch-only builds.
    (Closes: #645750)

 -- Marcin Owsiany <porridge@debian.org>  Wed, 19 Oct 2011 21:16:13 +0100

libgadu (1:1.11.0+r1184-1) unstable; urgency=low

  * Merge upstream revision r1184 from the 1.11 branch:
    - contains a couple of patches that had been previously in the automatic
      debian patch, which thanks to this merge is now absent. Closes: #643188
    - also contains a fix for GnuTLS-related memory leaks.

 -- Marcin Owsiany <porridge@debian.org>  Wed, 05 Oct 2011 20:37:07 +0100

## libgadu 1.11.1~pre1+r1230

=== debian/changelog ===
libgadu (1:1.11.1~pre1+r1230-1) experimental; urgency=low

  * An experimental build of pre-1.11.1 upstream code

 -- Marcin Owsiany <porridge@debian.org>  Sat, 05 Nov 2011 20:11:41 +0000

## libgadu 1.11.1

=== debian/changelog ===
libgadu (1:1.11.1-1ubuntu0.2) precise-security; urgency=medium

  * SECURITY UPDATE: memory corruption via crafted message from file relay
    server
    - debian/patches/CVE-2014-3775.patch: check relay_count in src/dcc7.c.
    - CVE-2014-3775

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 20 May 2014 08:33:31 -0400

libgadu (1:1.11.1-1ubuntu0.1) precise-security; urgency=medium

  * SECURITY UPDATE: buffer overflow in gadu-gadu HTTP parsing
    - debian/patches/CVE-2013-6487.patch: limit length in src/http.c.
    - CVE-2013-6487

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 07 Feb 2014 09:10:08 -0500

libgadu (1:1.11.1-1) unstable; urgency=low

  * New upstream release.

 -- Marcin Owsiany <porridge@debian.org>  Tue, 17 Jan 2012 21:54:25 +0000

=== debian/control ===
Source: libgadu
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Marcin Owsiany <porridge@debian.org>
Build-Depends: debhelper (>= 7.0.50~), dh-autoreconf, autoconf, automake1.11, libtool, pkg-config, libgnutls-dev, zlib1g-dev, doxygen
Build-Conflicts: autoconf2.13, automake1.4
Standards-Version: 3.9.2
Homepage: http://toxygen.net/libgadu/
Vcs-Git: git://github.com/porridge/libgadu.git
Vcs-Browser: https://github.com/porridge/libgadu

Package: libgadu3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Gadu-Gadu protocol library - runtime files
 Gadu-Gadu is an instant messaging program, very popular in
 Poland. libgadu is a Gadu-Gadu protocol implementation
 library.
 .
 This package contains the shared library.

Package: libgadu3-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libgadu3 (= ${binary:Version}), ${misc:Depends}
Description: Gadu-Gadu protocol library - debug symbols
 Gadu-Gadu is an instant messaging program, very popular in
 Poland. libgadu is a Gadu-Gadu protocol implementation
 library.
 .
 This package contains the debug symbols.

Package: libgadu-dev
Section: libdevel
Architecture: any
Depends: libgadu3 (= ${binary:Version}), ${misc:Depends}
Description: Gadu-Gadu protocol library - development files
 Gadu-Gadu is an instant messaging program, very popular in
 Poland. libgadu is a Gadu-Gadu protocol implementation
 library.
 .
 This package contains the development files.

Package: libgadu-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: libgadu-dev
Description: Gadu-Gadu protocol library - documentation
 Gadu-Gadu is an instant messaging program, very popular in
 Poland. libgadu is a Gadu-Gadu protocol implementation
 library.
 .
 This package contains the documentation and example programs.

## libgadu 1.11.2

=== debian/changelog ===
libgadu (1:1.11.2-1+deb7u2) wheezy-security; urgency=high

  * Added a patch to fix CVE-2014-3775 (possible memory corruption in dcc.c)

 -- Marcin Owsiany <porridge@debian.org>  Tue, 20 May 2014 08:17:41 +0200

libgadu (1:1.11.2-1+deb7u1) wheezy-security; urgency=high

  * Added a patch to fix CVE-2013-6487: buffer overflow

 -- Marcin Owsiany <porridge@debian.org>  Sat, 01 Feb 2014 11:22:56 +0100

libgadu (1:1.11.2-1) unstable; urgency=medium

  * New upstream release
    - contains a fix for threading issues in some clients
  * Pass dpkg-buildflags output to configure.

 -- Marcin Owsiany <porridge@debian.org>  Tue, 19 Jun 2012 10:16:35 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libgadu
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Marcin Owsiany <porridge@debian.org>
+Maintainer: Marcin Owsiany <porridge@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), dh-autoreconf, autoconf, automake1.11, libtool, pkg-config, libgnutls-dev, zlib1g-dev, doxygen
 Build-Conflicts: autoconf2.13, automake1.4
 Standards-Version: 3.9.2

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,7 @@
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
+confflags = $(shell dpkg-buildflags --export=configure)
 ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
   confflags += --build $(DEB_HOST_GNU_TYPE)
 else
@@ -46,14 +47,13 @@
 override_dh_auto_test:
 	: tests disabled temporarily, as they can hang the build
 
-ifneq (,$(findstring libgadu-doc, $(shell dh_listpackages)))
 override_dh_installdocs:
 	dh_installdocs
+ifneq (,$(findstring libgadu-doc, $(shell dh_listpackages)))
 	# nicer name for api docs directory
 	mv debian/libgadu-doc/usr/share/doc/libgadu-doc/html \
 	   debian/libgadu-doc/usr/share/doc/libgadu-doc/api
 endif
-
 
 override_dh_compress:
 	dh_compress -X.js

## libgadu 1.11.3

=== debian/changelog ===
libgadu (1:1.11.3-1) unstable; urgency=high

  * New upstream release
    - contains a fix for CVE-2013-6487: a possible buffer overflow when
    parsing HTTP response

 -- Marcin Owsiany <porridge@debian.org>  Fri, 31 Jan 2014 14:05:14 +0100

libgadu (1:1.11.2-2) unstable; urgency=medium

  * Use automake 1.14, fixing FTBFS. Closes: #718060

 -- Marcin Owsiany <porridge@debian.org>  Tue, 12 Nov 2013 13:31:58 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Marcin Owsiany <porridge@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), dh-autoreconf, autoconf, automake1.11, libtool, pkg-config, libgnutls-dev, zlib1g-dev, doxygen
+Build-Depends: debhelper (>= 7.0.50~), dh-autoreconf, autoconf, automake (>= 1:1.14~), libtool, pkg-config, libgnutls-dev, zlib1g-dev, doxygen
 Build-Conflicts: autoconf2.13, automake1.4
 Standards-Version: 3.9.2
 Homepage: http://toxygen.net/libgadu/

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 endif
 
 # * specify an explicit automake version
-export AUTOMAKE=automake-1.11
+export AUTOMAKE=automake-1.14
 
 %:
 	dh $@ --with autoreconf --parallel

=== debian/watch ===
version=3
http://toxygen.net/libgadu/ .*/libgadu-(\d[^[:space:]]*\.[^[:space:]]*\.[^[:space:]]*)\.(?:tar\.gz|tgz|tar\.bz2|tbz|tbz2)

## libgadu 1.12.0~rc2

=== debian/changelog ===
libgadu (1:1.12.0~rc2-1) experimental; urgency=high

  * New upstream release candidate
  * Contains a fix for CVE-2013-6487: a possible buffer overflow when parsing
    HTTP response
  * Add a dependency on protobuf-c-compiler and ca-certificates
  * Bump automake dependency to 1.14 and gnutls to 28-dev
  * Add 8 new symbols to the symbols file

 -- Marcin Owsiany <porridge@debian.org>  Thu, 06 Feb 2014 21:46:59 +0100

libgadu (1:1.12.0~pre+r1323-1) experimental; urgency=low

  * New upstream snappshot
    - further improvements to the test suite, should fix or at least shed some
      light on the hurd and kfreebsd FTBFSes

 -- Marcin Owsiany <porridge@debian.org>  Mon, 03 Sep 2012 15:50:41 +0100

libgadu (1:1.12.0~pre+r1314-1) experimental; urgency=low

  * New upstream snapshot
  * Dependency adjustments after recent upstream changes.
  * Add a lintian override for the jquery file installed by doxygen.

 -- Marcin Owsiany <porridge@debian.org>  Fri, 17 Aug 2012 19:45:55 +0200

libgadu (1:1.12.0~pre+r1304-1) experimental; urgency=low

  * New upstream snapshot
    - this does fix the flakiness that caused freebsd-amd64 FTBFS
  * Set -Werror when building tests too.

 -- Marcin Owsiany <porridge@debian.org>  Tue, 31 Jul 2012 22:58:30 +0100

libgadu (1:1.12.0~pre+r1302-1) experimental; urgency=low

  * New upstream snapshot.
    - this hopefully fixes the flakiness that caused freebsd-amd64 FTBFS

 -- Marcin Owsiany <porridge@debian.org>  Tue, 26 Jun 2012 22:46:45 +0100

libgadu (1:1.12.0~pre+r1301-1) experimental; urgency=low

  * New upstream snapshot.
    - this does seem to fix the FTBFS on hurd-i386

 -- Marcin Owsiany <porridge@debian.org>  Sun, 24 Jun 2012 21:34:23 +0100

libgadu (1:1.12.0~pre+r1298-1) experimental; urgency=low

  * New upstream snapshot.
    - makes tests more robust, should fix FTBFS on some architectures

 -- Marcin Owsiany <porridge@debian.org>  Fri, 22 Jun 2012 22:08:57 +0100

libgadu (1:1.12.0~pre+r1295-1) experimental; urgency=low

  * New upstream snapshot.
  * Corrected gcrypt configure option.
  * Strip some flags passed automatically by dh_auto_configure.
  * Enable -Werror for build.
  * Temporarily bump debhelper verbosity.

 -- Marcin Owsiany <porridge@debian.org>  Mon, 18 Jun 2012 22:30:42 +0100

libgadu (1:1.12.0~pre+r1289-1) experimental; urgency=low

  * New upstream snapshot.
  * Made libgcrypt11-dev build-dependency explicit and added to configure
    invocation.
  * Use ${misc:Pre-Depends}.

 -- Marcin Owsiany <porridge@debian.org>  Sun, 17 Jun 2012 14:40:50 +0100

libgadu (1:1.12.0~pre+r1278-1) experimental; urgency=low

  * New upstream snapshot (Closes: #630655)
  * Added a build-dep on zlib1g-dev.
  * Bumped the API version in symlink targets.
  * Updated branch names to the versioned ones.
  * Moved the git-buildpackage config file to debian/.
  * Modernized and cleaned up the build process.
  * Export a variable in debian/rules to improve test error reporting.
  * Corrected flag in example make invocation.
  * Added new symbols.
  * Added a todo note about query.js.
  * Bumped Standards-Version to 3.9.2.
  * Added pkg-config to build-deps.
  * Amended a TODO item with bug number.
  * Refactor override_dh_installdocs to work on arch-only builds.
  * Added new symbols.
  * Bumped Standards-Version: to 3.9.3 (no changes needed).
  * Switch to dh 9 and multi-arch.
  * Use dpkg-dev 1.16.1 architecture vars makefile snippet.

 -- Marcin Owsiany <porridge@debian.org>  Fri, 15 Jun 2012 09:24:17 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,19 @@
 Section: libs
 Priority: optional
 Maintainer: Marcin Owsiany <porridge@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), dh-autoreconf, autoconf, automake (>= 1:1.14~), libtool, pkg-config, libgnutls-dev, zlib1g-dev, doxygen
+Build-Depends:
+# debianization tools
+ debhelper (>= 9~), dpkg-dev (>= 1.16.1~), dh-autoreconf,
+# build tools
+ autoconf, automake, libtool, pkg-config, protobuf-c-compiler,
+# runtime dependencies
+ libgnutls28-dev, zlib1g-dev, ca-certificates,
+# build-time tests
+ libxml2-dev,
+# documentation building
+ doxygen
 Build-Conflicts: autoconf2.13, automake1.4
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://toxygen.net/libgadu/
 Vcs-Git: git://github.com/porridge/libgadu.git
 Vcs-Browser: https://github.com/porridge/libgadu
@@ -12,6 +22,7 @@
 Package: libgadu3
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Description: Gadu-Gadu protocol library - runtime files
  Gadu-Gadu is an instant messaging program, very popular in
  Poland. libgadu is a Gadu-Gadu protocol implementation
@@ -24,6 +35,7 @@
 Priority: extra
 Architecture: any
 Depends: libgadu3 (= ${binary:Version}), ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Description: Gadu-Gadu protocol library - debug symbols
  Gadu-Gadu is an instant messaging program, very popular in
  Poland. libgadu is a Gadu-Gadu protocol implementation
@@ -35,6 +47,7 @@
 Section: libdevel
 Architecture: any
 Depends: libgadu3 (= ${binary:Version}), ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Description: Gadu-Gadu protocol library - development files
  Gadu-Gadu is an instant messaging program, very popular in
  Poland. libgadu is a Gadu-Gadu protocol implementation
@@ -46,6 +59,7 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Suggests: libgadu-dev
 Description: Gadu-Gadu protocol library - documentation
  Gadu-Gadu is an instant messaging program, very popular in

=== debian/rules ===
#!/usr/bin/make -f
# libgadu package rules file
# Copyright 2002-2012 Marcin Owsiany <porridge@debian.org>

# As recommended by "current Debian best practice" prescribed by autotools-dev,
# we specify an explicit automake version:
export AUTOMAKE=automake-1.14
# We rely on debhelper's autoconf build system to set configure build/host
# flags appropriately to help cross-compiling.

# Force the glibc-generated stack dump to stderr instead of /dev/tty for the
# test suite:
export LIBC_FATAL_STDERR_=1

# Temporary measure for experimental upload to see what exactly is going on.
export DH_VERBOSE = 1

%:
	dh $@ --with autoreconf --parallel

# Remember to update README.Debian as well...
override_dh_auto_configure:
	dh_auto_configure -- \
		--disable-silent-rules \
		--with-pthread \
		--without-bind \
		--without-openssl \
		--with-gnutls
# Reasons for disabling features are in README.Debian
# Remember to update README.Debian as well...

override_dh_auto_build:
	# Make sure the code is warning-free. We cannot set this for the whole
	# file, because many temporary files generated by configure are not
	# warning-free.
	dh_auto_build -- CFLAGS="$$(DEB_CFLAGS_MAINT_APPEND=-Werror dpkg-buildflags --get CFLAGS)"
	# work-around #591387
	rm -f docs/html/installdox

override_dh_auto_test:
	# Make sure the code is warning-free. We cannot set this for the whole
	# file, because many temporary files generated by configure are not
	# warning-free.
	# Also, since we still want to be able to test library functions that
	# are deprecated, make deprecation warnings non-fatal.
	dh_auto_test -- CFLAGS="$$(DEB_CFLAGS_MAINT_APPEND='-Werror -Wno-error=deprecated-declarations' dpkg-buildflags --get CFLAGS)"

override_dh_installdocs:
	dh_installdocs
ifneq (,$(findstring libgadu-doc, $(shell dh_listpackages)))
	# nicer name for api docs directory
	mv debian/libgadu-doc/usr/share/doc/libgadu-doc/html \
	   debian/libgadu-doc/usr/share/doc/libgadu-doc/api
endif

override_dh_compress:
	dh_compress -X.js

override_dh_strip:
	dh_strip --dbg-package=libgadu3-dbg

override_dh_makeshlibs:
	dh_makeshlibs -V

## libgadu 1.12.0

=== debian/changelog ===
libgadu (1:1.12.0-5) unstable; urgency=medium

  * Depend on libgnutls28-dev, not the old libgnutls-dev. Really
    (Closes: #765654)

 -- Marcin Owsiany <porridge@debian.org>  Mon, 20 Oct 2014 08:35:58 +0200

libgadu (1:1.12.0-4) unstable; urgency=medium

  * Add a libgnutls-dev dependency to libgadu-dev (Closes: #765654)

 -- Marcin Owsiany <porridge@debian.org>  Sun, 19 Oct 2014 13:36:19 +0200

libgadu (1:1.12.0-3) unstable; urgency=low

  * Upload to sid

 -- Marcin Owsiany <porridge@debian.org>  Sat, 26 Jul 2014 14:25:43 +0200

libgadu (1:1.12.0-2) experimental; urgency=low

  * Add build-depends on libprotobuf-c-dev to avoid using the embedded copy.
    (Closes: #755548)
  * Update the lintian override.

 -- Marcin Owsiany <porridge@debian.org>  Fri, 25 Jul 2014 14:25:16 +0200

libgadu (1:1.12.0-1) unstable; urgency=low

  * New upstream release
    - no code changes since 1:1.12.0~rc3.5-1

 -- Marcin Owsiany <porridge@debian.org>  Sun, 15 Jun 2014 13:40:09 +0200

libgadu (1:1.12.0~rc3.5-1) unstable; urgency=low

  * Override a lintian spelling false positive.
  * Pass VERBOSE=1 to dh_auto_test.
  * New upstream snapshot
    - contains a fix for connect automatic test failure on kfreebsd
    (Closes: #750843)

 -- Marcin Owsiany <porridge@debian.org>  Wed, 11 Jun 2014 07:41:35 +0200

libgadu (1:1.12.0~rc3-1) unstable; urgency=high

  * New upstream release candidate.
    - contains a fix for server-triggered memory corruption that may have
    security implications
  * Fixed the watch file to correctly mangle -rc versions

 -- Marcin Owsiany <porridge@debian.org>  Thu, 08 May 2014 13:46:53 +0200

libgadu (1:1.12.0~rc2-2) unstable; urgency=low

  * Upload to sid
  * Bumped standards-version
  * Updated the Vcs-Git field with branch name

 -- Marcin Owsiany <porridge@debian.org>  Tue, 22 Apr 2014 20:02:47 +0200

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,8 @@
  debhelper (>= 9~), dpkg-dev (>= 1.16.1~), dh-autoreconf,
 # build tools
  autoconf, automake, libtool, pkg-config, protobuf-c-compiler,
+# to avoid using the embedded libprotobuf-c copy:
+ libprotobuf-c-dev | libprotobuf-c0-dev,
 # runtime dependencies
  libgnutls28-dev, zlib1g-dev, ca-certificates,
 # build-time tests
@@ -14,9 +16,9 @@
 # documentation building
  doxygen
 Build-Conflicts: autoconf2.13, automake1.4
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://toxygen.net/libgadu/
-Vcs-Git: git://github.com/porridge/libgadu.git
+Vcs-Git: git://github.com/porridge/libgadu.git -b debian-1.12
 Vcs-Browser: https://github.com/porridge/libgadu
 
 Package: libgadu3
@@ -46,7 +48,9 @@
 Package: libgadu-dev
 Section: libdevel
 Architecture: any
-Depends: libgadu3 (= ${binary:Version}), ${misc:Depends}
+Depends: libgadu3 (= ${binary:Version}), ${misc:Depends},
+# pkg-config needs gnutls (#765654)
+ libgnutls28-dev
 Pre-Depends: ${misc:Pre-Depends}
 Description: Gadu-Gadu protocol library - development files
  Gadu-Gadu is an instant messaging program, very popular in

=== debian/rules ===
--- 
+++ 
@@ -43,7 +43,9 @@
 	# warning-free.
 	# Also, since we still want to be able to test library functions that
 	# are deprecated, make deprecation warnings non-fatal.
-	dh_auto_test -- CFLAGS="$$(DEB_CFLAGS_MAINT_APPEND='-Werror -Wno-error=deprecated-declarations' dpkg-buildflags --get CFLAGS)"
+	# Also, set verbose to make automake tests dump errors to output:
+	# https://lists.debian.org/debian-devel/2014/04/msg00324.html
+	VERBOSE=1 dh_auto_test -- CFLAGS="$$(DEB_CFLAGS_MAINT_APPEND='-Werror -Wno-error=deprecated-declarations' dpkg-buildflags --get CFLAGS)"
 
 override_dh_installdocs:
 	dh_installdocs

## libgadu 1.12.1

=== debian/changelog ===
libgadu (1:1.12.1-4) unstable; urgency=high

  * Cherry-pick a fix for TLS connections broken due to an incompatible
    server-side change. (Closes: #853928)

 -- Marcin Owsiany <porridge@debian.org>  Fri, 03 Feb 2017 16:28:08 +0100

libgadu (1:1.12.1-3) unstable; urgency=medium

  * Switch on --with-c99-vsnprintf for cross-building.
    Thanks to Helmut Grohne for a patch (Closes: #839541)
  * Update some links.

 -- Marcin Owsiany <porridge@debian.org>  Wed, 05 Oct 2016 22:25:32 +0200

libgadu (1:1.12.1-2) unstable; urgency=medium

  * Upload to unstable
  * Removed the explicit automake version setting, since this package is
    generally well behaved regarding its automake usage. (Closes: #793581)

 -- Marcin Owsiany <porridge@debian.org>  Fri, 07 Aug 2015 22:01:08 +0200

libgadu (1:1.12.1-1) experimental; urgency=low

  * New upstream release
  * Bumped standards-version

 -- Marcin Owsiany <porridge@debian.org>  Tue, 13 Jan 2015 21:22:41 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # documentation building
  doxygen
 Build-Conflicts: autoconf2.13, automake1.4
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://toxygen.net/libgadu/
 Vcs-Git: git://github.com/porridge/libgadu.git -b debian-1.12
 Vcs-Browser: https://github.com/porridge/libgadu

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,6 @@
 #!/usr/bin/make -f
 # libgadu package rules file
-# Copyright 2002-2012 Marcin Owsiany <porridge@debian.org>
-
-# As recommended by "current Debian best practice" prescribed by autotools-dev,
-# we specify an explicit automake version:
-export AUTOMAKE=automake-1.14
-# We rely on debhelper's autoconf build system to set configure build/host
-# flags appropriately to help cross-compiling.
+# Copyright 2002-2015 Marcin Owsiany <porridge@debian.org>
 
 # Force the glibc-generated stack dump to stderr instead of /dev/tty for the
 # test suite:
@@ -22,6 +16,7 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		--disable-silent-rules \
+		--with-c99-vsnprintf \
 		--with-pthread \
 		--without-bind \
 		--without-openssl \

## libgadu 1.12.2

=== debian/changelog ===
libgadu (1:1.12.2-7) unstable; urgency=medium

  * QA upload.
  * Fix clean target. Closes: #1045912.
  * Drop alien (and no longer necessary) lintian override.
  * Drop watch file because the project is officially closed.
  * d/rules: Drop dh verbosity, which was for debugging.
  * d/control: Drop redundant versioned BD on dpkg-dev.
  * d/control: Switch from pkg-config to pkgconf.
  * d/control: Drop "Rules-Requires-Root: no" (default).
  * d/control: Drop "Priority: optional" (default).
  * d/control: Update standards-version.
  * d/control: Update Homepage.
  * Add debian/salsa-ci.yml.

 -- Santiago Vila <sanvila@debian.org>  Fri, 05 Dec 2025 15:40:00 +0100

libgadu (1:1.12.2-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062307

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 12:12:55 +0000

libgadu (1:1.12.2-6) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + libgadu3: Add Multi-Arch: same.
    + libgadu-doc: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 22 Aug 2021 03:05:39 +0100

libgadu (1:1.12.2-5) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS with gcc-10. (Closes: #957441)
  * Use debhelper-commit.
    - Update compat level to 12.
    - Remove dependency on dh-autoreconf
    - Remove autoreconf and parallel from rules.
    - Adjust doc location.
  * Exclude md5 from doc package.
  * Update Standards-Version to 4.5.0
  * Mark Vcs to salsa.
    - Remove old gbp.conf

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 21 Apr 2020 23:44:12 +0100

libgadu (1:1.12.2-4) unstable; urgency=medium

  * QA upload.
  * Fix ftbfs with GCC-9. (Closes: #925743)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 28 Dec 2019 20:27:43 +0000

libgadu (1:1.12.2-3) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS due to attempts to report TLS compression.  Closes: #886907
  * Drop explicit -dbg package.
  * Build-Depend on graphviz.
  * R³.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 20 Jan 2018 03:10:47 +0100

libgadu (1:1.12.2-2) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Adrian Bunk <bunk@debian.org>  Sun, 18 Jun 2017 17:25:48 +0300

libgadu (1:1.12.2-1) experimental; urgency=low

  * New upstream release
  * Bumped Standards-Version (no changes needed)
  * Orphaned the package

 -- Marcin Owsiany <porridge@debian.org>  Tue, 14 Feb 2017 20:29:44 +0100

=== debian/control ===
Source: libgadu
Section: libs
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: dpkg-dev (>= 1.22.5),
# debianization tools
 debhelper-compat (= 12),
# build tools
 autoconf, automake, libtool, pkgconf, protobuf-c-compiler,
# to avoid using the embedded libprotobuf-c copy:
 libprotobuf-c-dev | libprotobuf-c0-dev,
# runtime dependencies
 libgnutls28-dev, zlib1g-dev, ca-certificates,
# build-time tests
 libxml2-dev,
# documentation building
 doxygen, graphviz
Build-Conflicts: autoconf2.13, automake1.4
Standards-Version: 4.7.2
Homepage: https://libgadu.github.io/index.en.html
Vcs-Git: https://salsa.debian.org/debian/libgadu.git
Vcs-Browser: https://salsa.debian.org/debian/libgadu

Package: libgadu3t64
Provides: ${t64:Provides}
Replaces: libgadu3
Breaks: libgadu3 (<< ${source:Version})
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Gadu-Gadu protocol library - runtime files
 Gadu-Gadu is an instant messaging program, very popular in
 Poland. libgadu is a Gadu-Gadu protocol implementation
 library.
 .
 This package contains the shared library.

Package: libgadu-dev
Section: libdevel
Architecture: any
Depends: libgadu3t64 (= ${binary:Version}), ${misc:Depends},
# pkg-config needs gnutls (#765654)
 libgnutls28-dev
Pre-Depends: ${misc:Pre-Depends}
Description: Gadu-Gadu protocol library - development files
 Gadu-Gadu is an instant messaging program, very popular in
 Poland. libgadu is a Gadu-Gadu protocol implementation
 library.
 .
 This package contains the development files.

Package: libgadu-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Suggests: libgadu-dev
Multi-Arch: foreign
Description: Gadu-Gadu protocol library - documentation
 Gadu-Gadu is an instant messaging program, very popular in
 Poland. libgadu is a Gadu-Gadu protocol implementation
 library.
 .
 This package contains the documentation and example programs.

=== debian/rules ===
--- 
+++ 
@@ -6,11 +6,8 @@
 # test suite:
 export LIBC_FATAL_STDERR_=1
 
-# Temporary measure for experimental upload to see what exactly is going on.
-export DH_VERBOSE = 1
-
 %:
-	dh $@ --with autoreconf --parallel
+	dh $@
 
 # Remember to update README.Debian as well...
 override_dh_auto_configure:
@@ -43,9 +40,12 @@
 	VERBOSE=1 dh_auto_test -- CFLAGS="$$(DEB_CFLAGS_MAINT_APPEND='-Werror -Wno-error=deprecated-declarations' dpkg-buildflags --get CFLAGS)"
 
 override_dh_installdocs:
-	dh_installdocs
+	dh_installdocs -X.md5
 ifneq (,$(findstring libgadu-doc, $(shell dh_listpackages)))
 	# nicer name for api docs directory
+	mv debian/libgadu-doc/usr/share/doc/libgadu-dev/* \
+	   debian/libgadu-doc/usr/share/doc/libgadu-doc/.
+	rmdir debian/libgadu-doc/usr/share/doc/libgadu-dev
 	mv debian/libgadu-doc/usr/share/doc/libgadu-doc/html \
 	   debian/libgadu-doc/usr/share/doc/libgadu-doc/api
 endif
@@ -53,8 +53,5 @@
 override_dh_compress:
 	dh_compress -X.js
 
-override_dh_strip:
-	dh_strip --dbg-package=libgadu3-dbg
-
 override_dh_makeshlibs:
 	dh_makeshlibs -V
